scatter {ade4} | R Documentation

## Graphical representation of the outputs of a multivariate analysis

### Description

`scatter` is a generic function that has methods for the classes `coa`, `dudi`, `fca`, `acm` and `pco`. It plots the outputs of a multivariate analysis by representing simultaneously the rows and the colums of the original table (biplot). The function `biplot` returns exactly the same representation.
The function `screeplot` represents the amount of inertia (usually variance) associated to each dimension.

### Usage

    scatter(x, ...)
    ## S3 method for class 'dudi'
    biplot(x, ...)
    ## S3 method for class 'dudi'
    screeplot(x, npcs = length(x$eig), type = c("barplot", "lines"),
        main = deparse(substitute(x)), col = c(rep("black", x$nf),
    rep("grey", npcs - x$nf)), ...)

### Arguments

`x` | an object of the class `dudi` containing the outputs of a multivariate analysis
`npcs` | the number of components to be plotted
`type` | the type of plot
`main` | the title of the plot
`col` | a vector of colors
`...` | further arguments passed to or from other methods

### Author(s)

Daniel Chessel
Stéphane Dray stephane.dray@univ-lyon1.fr

### See Also

`s.arrow`, `s.chull`, `s.class`, `s.corcircle`, `s.distri`, `s.label`, `s.match`, `s.traject`, `s.value`, `add.scatter`

### Examples

    data(rpjdl)
    rpjdl.coa <- dudi.coa(rpjdl$fau, scannf = FALSE, nf = 4)
    screeplot(rpjdl.coa)
    biplot(rpjdl.coa)

[Package ade4 version 1.7-13 Index]